#include <stdio.h>
int wordlen()      
{
   int i; unsigned wort;

   i = wort = 0;
   wort = ~wort;                    /* alle Bits 1 */
   while (wort != 0) {
        wort = wort >> 1;
        i++;
   }
   return(i);
}

main()  /* Zaehlen der Bits eines Maschinenewortes */
{
   printf("Anzahl der Bits: %d\n",wordlen());
}

